<?xml version="1.0" encoding="UTF-8"?>
<!--
  #%L
  Fuse EAP
  %%
  Copyright (C) 2015 RedHat
  %%
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
       http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  #L%
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <name>Fuse EAP</name>

    <groupId>com.redhat.fuse</groupId>
    <artifactId>fuse-eap</artifactId>
    <packaging>pom</packaging>

    <version>6.2.0.redhat-123</version>

    <description>Fuse EAP</description>
    <url>https://github.com/jboss-fuse/fuse-eap</url>

    <!-- Source Control -->
    <scm>
        <connection>scm:git:git@github.com:jboss-fuse/fuse-eap.git</connection>
        <developerConnection>scm:git:git@github.com:jboss-fuse/fuse-eap.git</developerConnection>
        <url>https://github.com/jboss-fuse/fuse-eap</url>
        <tag>HEAD</tag>
    </scm>

    <!-- Properties -->
    <properties>
        
        <!-- WildFly Camel version -->
        <version.wildfly.camel>2.2.0.redhat-620123</version.wildfly.camel>
        <version.switchyard>2.0.1.redhat-620123</version.switchyard>

        <!-- WildFly versions -->
        <version.wildfly>7.5.0.Final-redhat-20</version.wildfly>

        <!-- Other versions -->
        <version.jboss.arquillian.core>1.1.7.Final</version.jboss.arquillian.core>
        <version.jboss.xnio>3.0.11.GA-redhat-2</version.jboss.xnio>
        <version.junit>4.11</version.junit>
        <version.picketlink>2.5.4.Final</version.picketlink>
        <version.slf4j>1.6.6</version.slf4j>

        <!-- Plugin versions -->
        <version-exec-maven-plugin>1.3.2</version-exec-maven-plugin>
        <version-license-maven-plugin>1.8</version-license-maven-plugin>
        <version-maven-compiler-plugin>3.1</version-maven-compiler-plugin>
        <version-maven-deploy-plugin>2.8.2</version-maven-deploy-plugin>
        <version-maven-resources-plugin>2.7</version-maven-resources-plugin>
        <version-maven-surefire-plugin>2.18.1</version-maven-surefire-plugin>
        <version-shrinkwrap-resolver-plugin>2.1.1</version-shrinkwrap-resolver-plugin>
    </properties>

    <!-- Modules -->
    <modules>
        <module>config</module>
        <module>distro</module>
        <module>itests</module>
    </modules>

    <!-- DependencyManagement -->
    <dependencyManagement>
        <dependencies>
        
            <!-- Arquillian -->
            <dependency>
                <groupId>org.jboss.arquillian</groupId>
                <artifactId>arquillian-bom</artifactId>
                <scope>import</scope>
                <type>pom</type>
                <version>${version.jboss.arquillian.core}</version>
            </dependency>
            
            <!-- JUnit -->
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${version.junit}</version>
            </dependency>

            <!-- Picketlink -->
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-federation</artifactId>
                <version>${version.picketlink}</version>
            </dependency>

            <!-- SLF4J -->
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>${version.slf4j}</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-log4j12</artifactId>
                <version>${version.slf4j}</version>
            </dependency>
            
            <!-- WildFly -->
            <dependency>
                <groupId>org.jboss.as</groupId>
                <artifactId>jboss-as-arquillian-container-managed</artifactId>
                <version>${version.wildfly}</version>
            </dependency>
            
            <!-- WildFly Camel -->
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-enricher</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-common</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-standalone</artifactId>
                <version>${version.wildfly.camel}</version>
            </dependency>
            <dependency>
                <groupId>org.wildfly.camel</groupId>
                <artifactId>wildfly-camel-itests-standalone</artifactId>
                <version>${version.wildfly.camel}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            
        </dependencies>
    </dependencyManagement>

    <!-- Build -->
    <build>
        <!-- Plugin Management -->
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>${version-maven-compiler-plugin}</version>
                    <configuration>
                        <source>1.7</source>
                        <target>1.7</target>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-deploy-plugin</artifactId>
                    <version>${version-maven-deploy-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>${version-maven-resources-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${version-maven-surefire-plugin}</version>
                    <configuration>
                        <failIfNoTests>false</failIfNoTests>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>exec-maven-plugin</artifactId>
                    <version>${version-exec-maven-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>license-maven-plugin</artifactId>
                    <version>${version-license-maven-plugin}</version>
                </plugin>
                <plugin>
                    <groupId>org.jboss.shrinkwrap.resolver</groupId>
                    <artifactId>shrinkwrap-resolver-maven-plugin</artifactId>
                    <version>${version-shrinkwrap-resolver-plugin}</version>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>license-maven-plugin</artifactId>
                <configuration>
                    <addJavaLicenseAfterPackage>false</addJavaLicenseAfterPackage>
                    <canUpdateCopyright>true</canUpdateCopyright>
                    <canUpdateDescription>true</canUpdateDescription>
                    <organizationName>RedHat</organizationName>
                    <licenseName>apache_v2</licenseName>
                    <inceptionYear>2015</inceptionYear>
                    <roots>
                        <root>etc</root>
                        <root>src</root>
                        <root>scripts</root>
                    </roots>
                    <excludes>
                        <exclude>**/eap/config/*-subsystem.xml</exclude>
                        <exclude>**/eap/config/*-security-domain.xml</exclude>
                    </excludes>
                    <!--  
                    <roots>
                        <root>${basedir}</root>
                    </roots>
                    <includes>
                        <include>pom.xml</include>
                    </includes>
                    -->
                </configuration>
            </plugin>
            <plugin>
        <groupId>org.commonjava.maven.plugins</groupId>
        <artifactId>project-sources-maven-plugin</artifactId>
        <version>0.3</version>
        <executions>
          <execution>
            <id>project-sources-archive</id>
            <phase>initialize</phase>
            <goals>
              <goal>archive</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
            <plugin>
        <groupId>com.redhat.rcm.maven.plugin</groupId>
        <artifactId>buildmetadata-maven-plugin</artifactId>
        <version>1.5.2</version>
        <executions>
          <execution>
            <id>build-metadata</id>
            <phase>validate</phase>
            <goals>
              <goal>provide-buildmetadata</goal>
            </goals>
            <configuration>
              <validateCheckout>false</validateCheckout>
              <hideJavaOptsInfo>false</hideJavaOptsInfo>
              <activateOutputFileMapping>false</activateOutputFileMapping>
              <createXmlReport>false</createXmlReport>
              <hideCommandLineInfo>false</hideCommandLineInfo>
              <propertiesOutputFile>${basedir}/build.metadata</propertiesOutputFile>
              <createPropertiesReport>true</createPropertiesReport>
              <addMavenExecutionInfo>true</addMavenExecutionInfo>
              <addLocallyModifiedTagToFullVersion>false</addLocallyModifiedTagToFullVersion>
              <addJavaRuntimeInfo>true</addJavaRuntimeInfo>
              <hideMavenOptsInfo>false</hideMavenOptsInfo>
              <forceNewProperties>true</forceNewProperties>
              <addToGeneratedSources>false</addToGeneratedSources>
            </configuration>
          </execution>
        </executions>
        <inherited>false</inherited>
      </plugin>
        </plugins>
    </build>

    <!-- Licenses -->
    <licenses>
        <license>
            <name>apache_v2</name>
            <url>http://repository.jboss.org/licenses/apache-2.0.txt</url>
        </license>
    </licenses>

    <!-- Developers -->
    <developers>
        <developer>
            <name>Fuse EAP Committers</name>
        </developer>
    </developers>

    <!-- Distribution Management -->
    <distributionManagement>
        <repository>
            <id>jboss-releases-repository</id>
            <name>JBoss Releases Repository</name>
            <url>https://repository.jboss.org/nexus/service/local/staging/deploy/maven2</url>
        </repository>
        <snapshotRepository>
            <id>jboss-snapshots-repository</id>
            <name>JBoss Snapshots Repository</name>
            <url>https://repository.jboss.org/nexus/content/repositories/snapshots</url>
        </snapshotRepository>
    </distributionManagement>

    <!-- Issue Management -->
    <issueManagement>
        <system>Jira</system>
        <url>https://issues.jboss.org/browse/ENTESB</url>
    </issueManagement>
    
    <!-- Repositories -->

</project>
<!-- Modified by POM Manipulation Extension for Maven 1.5.2 ( SHA: a390f5e2 ) -->

